aboutsummaryrefslogtreecommitdiffstats
path: root/resources
diff options
context:
space:
mode:
authorselias <samelias@cisco.com>2017-08-28 12:47:29 +0200
committerTibor Frank <tifrank@cisco.com>2017-09-06 12:27:01 +0000
commit28dd384dbf9d791bbe2cac7a09227008f85bb64f (patch)
tree4876f25b3aed66c0871266912e3842b2d1002010 /resources
parent98689d4609a588cff1b9bb7c3724c1cbc7072c31 (diff)
HC Test: re-enable NSH tests, minor fixes
NSH plugin was fixed in https://gerrit.fd.io/r/8218 - updated lispGPE test data - added missing teardown to multi-IP traffic test - marked L2-fib update revert case as failing Change-Id: I5cf8c718e808d5d8cb69e2f769c829c868bf9924 Signed-off-by: selias <samelias@cisco.com>
Diffstat (limited to 'resources')
-rw-r--r--resources/libraries/python/honeycomb/HcAPIKwInterfaces.py12
-rw-r--r--resources/test_data/honeycomb/lisp/lisp_gpe.py30
-rwxr-xr-xresources/tools/scripts/download_hc_build_pkgs.sh11
-rwxr-xr-xresources/tools/scripts/download_hc_pkgs.sh11
4 files changed, 29 insertions, 35 deletions
diff --git a/resources/libraries/python/honeycomb/HcAPIKwInterfaces.py b/resources/libraries/python/honeycomb/HcAPIKwInterfaces.py
index 6f0bdda9fe..17ed3b8246 100644
--- a/resources/libraries/python/honeycomb/HcAPIKwInterfaces.py
+++ b/resources/libraries/python/honeycomb/HcAPIKwInterfaces.py
@@ -556,6 +556,9 @@ class InterfaceKeywords(object):
:rtype: bytearray
"""
+ interface = Topology.convert_interface_reference(
+ node, interface, "name")
+
path = ("interfaces", ("interface", "name", interface), "ietf-ip:ipv4",
"address")
return InterfaceKeywords._set_interface_properties(
@@ -598,6 +601,9 @@ class InterfaceKeywords(object):
:rtype: bytearray
"""
+ interface = Topology.convert_interface_reference(
+ node, interface, "name")
+
path = ("interfaces", ("interface", "name", interface), "ietf-ip:ipv4",
"neighbor")
return InterfaceKeywords._set_interface_properties(
@@ -696,6 +702,9 @@ class InterfaceKeywords(object):
:rtype: bytearray
"""
+ interface = Topology.convert_interface_reference(
+ node, interface, "name")
+
path = ("interfaces", ("interface", "name", interface), "ietf-ip:ipv6",
"address")
return InterfaceKeywords._set_interface_properties(
@@ -738,6 +747,9 @@ class InterfaceKeywords(object):
:rtype: bytearray
"""
+ interface = Topology.convert_interface_reference(
+ node, interface, "name")
+
path = ("interfaces", ("interface", "name", interface), "ietf-ip:ipv6",
"neighbor")
return InterfaceKeywords._set_interface_properties(
diff --git a/resources/test_data/honeycomb/lisp/lisp_gpe.py b/resources/test_data/honeycomb/lisp/lisp_gpe.py
index 45a8f1f93a..f91cb86fe9 100644
--- a/resources/test_data/honeycomb/lisp/lisp_gpe.py
+++ b/resources/test_data/honeycomb/lisp/lisp_gpe.py
@@ -80,23 +80,19 @@ positive_mapping_ip4 = {
"virtual-network-id": 0,
"ipv4-prefix": "192.168.5.0/24"
},
- "locator-pairs": [
+ "locator-pair": [
{
- "id": "gpe-entry-locator-1",
- "locator-pair": {
"local-locator": "192.168.6.2",
"remote-locator": "192.168.7.3",
"weight": 0
- }
+
},
- {
- "id": "gpe-entry-locator-2",
- "locator-pair": {
+ {
"local-locator": "192.168.5.2",
"remote-locator": "192.168.5.3",
"weight": 1
}
- }
+
]
}
@@ -131,22 +127,16 @@ positive_mapping_ip6 = {
"virtual-network-id": 0,
"ipv6-prefix": "13::/64"
},
- "locator-pairs": [
+ "locator-pair": [
{
- "id": "gpe-entry-locator-1",
- "locator-pair": {
"local-locator": "13::10",
"remote-locator": "13::11",
"weight": 0
- }
},
{
- "id": "gpe-entry-locator-2",
- "locator-pair": {
"local-locator": "14::10",
"remote-locator": "14::11",
"weight": 1
- }
}
]
}
@@ -178,14 +168,11 @@ lisp_traffic_ip4 = {
"virtual-network-id": 0,
"ipv4-prefix": remote_eid4
},
- "locator-pairs": [
+ "locator-pair": [
{
- "id": "gpe-entry-locator-1",
- "locator-pair": {
"local-locator": src_rloc4,
"remote-locator": dst_rloc4,
"weight": 0
- }
}
]
}
@@ -216,14 +203,11 @@ lisp_traffic_ip6 = {
"virtual-network-id": 0,
"ipv6-prefix": remote_eid6
},
- "locator-pairs": [
+ "locator-pair": [
{
- "id": "gpe-entry-locator-1",
- "locator-pair": {
"local-locator": src_rloc6,
"remote-locator": dst_rloc6,
"weight": 0
- }
}
]
}
diff --git a/resources/tools/scripts/download_hc_build_pkgs.sh b/resources/tools/scripts/download_hc_build_pkgs.sh
index 5d76323179..6683499956 100755
--- a/resources/tools/scripts/download_hc_build_pkgs.sh
+++ b/resources/tools/scripts/download_hc_build_pkgs.sh
@@ -50,12 +50,11 @@ for ART in ${VPP_ARTIFACTS}; do
done
done
-# NSHSFC-34: Having NSH plugin installed crashes VPP
-#for ART in ${NSH_ARTIFACTS}; do
-# for PAC in ${PACKAGE}; do
-# curl "${URL}?r=${REPO}&g=${NSH_GROUP}&a=${ART}&p=${PAC}&v=${VER}&c=${CLASS}" -O -J || exit
-# done
-#done
+for ART in ${NSH_ARTIFACTS}; do
+ for PAC in ${PACKAGE}; do
+ curl "${URL}?r=${REPO}&g=${NSH_GROUP}&a=${ART}&p=${PAC}&v=${VER}&c=${CLASS}" -O -J || exit
+ done
+done
# verify downloaded packages
if [ "${OS}" == "centos7" ]; then
diff --git a/resources/tools/scripts/download_hc_pkgs.sh b/resources/tools/scripts/download_hc_pkgs.sh
index 2bb2a08e17..1bda02505c 100755
--- a/resources/tools/scripts/download_hc_pkgs.sh
+++ b/resources/tools/scripts/download_hc_pkgs.sh
@@ -61,12 +61,11 @@ for ART in ${DPDK_ARTIFACTS}; do
done
done
-# NSHSFC-34: Having NSH plugin installed crashes VPP
-#for ART in ${NSH_ARTIFACTS}; do
-# for PAC in ${PACKAGE}; do
-# curl "${URL}?r=${REPO}&g=${NSH_GROUP}&a=${ART}&p=${PAC}&v=${VER}&c=${CLASS}" -O -J || exit
-# done
-#done
+for ART in ${NSH_ARTIFACTS}; do
+ for PAC in ${PACKAGE}; do
+ curl "${URL}?r=${REPO}&g=${NSH_GROUP}&a=${ART}&p=${PAC}&v=${VER}&c=${CLASS}" -O -J || exit
+ done
+done
# determine VPP dependency
if [ "${OS}" == "centos7" ]; then